Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.raytracer.network
Class RayTracingJob.RayTracingOutputHandler

    java.lang.Object
      net.sf.j3d.threeD.raytracer.network.RayTracingJob.RayTracingOutputHandler

Enclosing class:
  RayTracingJob

    public static class RayTracingJob.RayTracingOutputHandler

extends Object

Constructor Summary
`RayTracingJob.RayTracingOutputHandler()`
`RayTracingJob.RayTracingOutputHandler(long id, int w, int h)`

Method Summary
`Hashtable` | `executeQuery(Query q)`
`void` | `expandImageBuffer(int w, int h)`
`RayTracingJob.RayTracingOutputHandler` | `getHandler(long task)`
`long` | `getId()`
`RGB[][]` | `getImage()`
`boolean` | `isComplete()`
`void` | `storeOutput(long time, int uid, JobOutput data)`
`void` | `writeImage()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RayTracingJob.RayTracingOutputHandler

    public RayTracingJob.RayTracingOutputHandler()

### RayTracingJob.RayTracingOutputHandler

    public RayTracingJob.RayTracingOutputHandler(long id,
                                                 int w,
                                                 int h)

Method Detail

### writeImage

    public void writeImage()

### getHandler

    public RayTracingJob.RayTracingOutputHandler getHandler(long task)

### getId

    public long getId()

### isComplete

    public boolean isComplete()

### storeOutput

    public void storeOutput(long time,
                            int uid,
                            JobOutput data)

### executeQuery

    public Hashtable executeQuery(Query q)

### expandImageBuffer

    public void expandImageBuffer(int w,
                                  int h)

### getImage

    public RGB[][] getImage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD